Get a VM by UUID
curl --request GET \
--url https://api.cloud.onidel.com/vm/{vm_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.onidel.com/vm/{vm_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac",
"name": "ubuntu-vm-4vcpu-8gb",
"password": "s3cr3t-p4ssw0rd",
"vcpu": 2,
"ram": 4096,
"disk": 40,
"bw_used": 12.5,
"main_ipv4": "160.22.79.122",
"main_ipv6": "2401:a4a0:1:90::1",
"template": "Ubuntu 24.04 x64 LTS",
"firewall_group_id": "ac135def-c613-4a08-fd8e-a20acbdd23a9",
"created_at": "2024-10-04T10:20:22.922772Z",
"renewed_at": "2024-10-04T10:20:22.922772Z",
"due_date": "2024-10-04T10:20:22.922772Z",
"recurring_amount": 5.5,
"amount_paid": 1.2345,
"payment_currency": "AUD",
"billing_cycle": 1,
"status": "building"
}Virtual Machines
Get a VM by UUID
Gets a VM by its UUID
GET
/
vm
/
{vm_id}
Get a VM by UUID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Service UUID that need to be considered for filter
Query Parameters
Team ID that need to be considered for filter. Default team will be used if not provided.
Response
Successful operation
Example:
"c1d45377-b2a9-4407-ab8d-6909c34dfaac"
Example:
"ubuntu-vm-4vcpu-8gb"
The server's auto-generated administrator/root password.
Example:
"s3cr3t-p4ssw0rd"
Example:
2
Example:
4096
Example:
40
Example:
12.5
Example:
"160.22.79.122"
Example:
"2401:a4a0:1:90::1"
Example:
"Ubuntu 24.04 x64 LTS"
Example:
"ac135def-c613-4a08-fd8e-a20acbdd23a9"
Example:
"2024-10-04T10:20:22.922772Z"
Example:
"2024-10-04T10:20:22.922772Z"
Example:
"2024-10-04T10:20:22.922772Z"
Example:
5.5
Example:
1.2345
Example:
"AUD"
Example:
1
Available options:
building, active, suspended, awaiting_payment, taking_snaphot, restoring, terminating, migrating